## org.apache.poi.hslf.record
Class ExHyperlinkAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.ExHyperlinkAtom

    public final class ExHyperlinkAtom

extends RecordAtom

Tne atom that holds metadata on a specific Link in the document. (The actual link is held in a sibling CString record)

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`protected` `ExHyperlinkAtom()` Constructs a brand new link related atom record.
`protected` `ExHyperlinkAtom(byte[] source, int start, int len)` Constructs the link related atom record from its source data.

Method Summary
`int` `getNumber()` Gets the link number.
`long` `getRecordType()` Gets the record type.
`void` `setNumber(int number)` Sets the link number
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExHyperlinkAtom

    protected ExHyperlinkAtom()

  Constructs a brand new link related atom record.

### ExHyperlinkAtom

    protected ExHyperlinkAtom(byte[] source,
                              int start,
                              int len)

  Constructs the link related atom record from its source data.

  Parameters:
    `source` - the source data as a byte array.
    `start` - the start offset into the byte array.
    `len` - the length of the slice in the byte array.

Method Detail

### getNumber

    public int getNumber()

  Gets the link number. This will match the one in the InteractiveInfoAtom which uses the link.

  Returns:
    the link number

### setNumber

    public void setNumber(int number)

  Sets the link number

  Parameters:
    `number` - the link number.

### getRecordType

    public long getRecordType()

  Gets the record type.

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    the record type.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Parameters:
    `out` - the output stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.